[fflas-ffpack] 01/06: debian/tests: Add autopkgtest support.

Doug Torrance dtorrance-guest at moszumanska.debian.org
Sun Jul 24 15:32:22 UTC 2016


This is an automated email from the git hooks/post-receive script.

dtorrance-guest pushed a commit to branch master
in repository fflas-ffpack.

commit d4f9d355b9374c9fad4b98e852587c90322ceb3f
Author: Doug Torrance <dtorrance at piedmont.edu>
Date:   Sun Jul 24 11:25:03 2016 -0400

    debian/tests: Add autopkgtest support.
---
 debian/tests/control        |  3 +++
 debian/tests/upstream-tests | 62 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..1b87d30
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: upstream-tests
+Depends: build-essential,fflas-ffpack, libgmp-dev, libgivaro-dev, libblas-dev,
+	 liblapack-dev, pkg-config
diff --git a/debian/tests/upstream-tests b/debian/tests/upstream-tests
new file mode 100755
index 0000000..adbca85
--- /dev/null
+++ b/debian/tests/upstream-tests
@@ -0,0 +1,62 @@
+#!/usr/bin/make -f
+
+CPPFLAGS = $(shell pkg-config fflas-ffpack --cflags) -std=gnu++11 \
+	-I. -I/usr/include/fflas-ffpack/utils
+LIBS = $(shell pkg-config fflas-ffpack --libs)
+
+TESTS = test-lu             \
+	test-det            \
+	test-echelon        \
+	test-rankprofiles   \
+	test-compressQ      \
+	test-fadd           \
+	test-finit          \
+	test-fscal          \
+	test-fgemm          \
+	test-fger           \
+	test-ftrsm          \
+	test-multifile      \
+	regression-check
+
+test-lu_SOURCES           = tests/test-lu.C
+test-det_SOURCES          = tests/test-det.C
+test-echelon_SOURCES      = tests/test-echelon.C
+test-rankprofiles_SOURCES = tests/test-rankprofiles.C
+test-compressQ_SOURCES    = tests/test-compressQ.C
+test-fadd_SOURCES         = tests/test-fadd.C
+test-finit_SOURCES        = tests/test-finit.C
+test-fscal_SOURCES        = tests/test-fscal.C
+test-fgemm_SOURCES        = tests/test-fgemm.C
+test-fger_SOURCES         = tests/test-fger.C
+test-ftrsm_SOURCES        = tests/test-ftrsm.C
+test-multifile_SOURCES    = tests/test-multifile1.C tests/test-multifile2.C
+regression-check_SOURCES  = tests/regression-check.C
+
+all: $(TESTS)
+	@PASS=0; \
+	FAIL=0; \
+	for TEST in $(TESTS); \
+	do \
+		./$$TEST > /dev/null ; \
+		if [ $$? = 0 ]; \
+		then \
+		echo "PASS: $$TEST"; \
+		PASS=$$(($$PASS+1)); \
+	else \
+		echo "FAIL: $$TEST"; \
+		FAIL=$$(($$FAIL+1)); \
+	fi; \
+	done; \
+	echo "========"; \
+	echo "Summary:"; \
+	echo "========"; \
+	echo "PASS: $$PASS"; \
+	echo "FAIL: $$FAIL"; \
+	rm -f $(TESTS) fflas-fpack/config.h; \
+	exit $$FAIL
+
+fflas-ffpack/config.h:
+	touch $@
+
+$(TESTS): fflas-ffpack/config.h
+	$(CXX) $(CPPFLAGS) $($@_SOURCES) $(LIBS) -o $@

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/fflas-ffpack.git



More information about the debian-science-commits mailing list